View Issue Details

IDProjectCategoryView StatusLast Update
0000221PluginsFARCmdspublic2007-07-16 16:06
ReporterZuzAssigned Tovskirdin 
PrioritynormalSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
Product Version1.71 
Target VersionFixed in Version1.71 
Summary0000221: Не создается файл при вызове edit:filename в случае если файл отсутствует
DescriptionСправка гласит:
"Если файл "имяфайла" не существует, то он создается. Если после создания и выхода из редактора файл не изменен, то он удаляется (поведение приближено к Shift-F4)".

Реальность:
Пишем, например, edit:z.txt а в ответ тишина, в случае если файл z.txt отсутствует.

Вся загвоздка видимо в функции validForView которая обламывает if и далее не срабатывает Info.Editor с флагом EF_CREATENEW.
Additional InformationFARCmds.dll 1.70.0.18
TagsNo tags attached.

Activities

vskirdin

2006-11-28 10:17

administrator   bugnote:0000336

FARCmds.mantis2.rar вложен в #220
проверяйте

vskirdin

2006-11-28 11:12

administrator   bugnote:0000339

build 19

Zuz

2006-11-29 03:16

developer   bugnote:0000341

усё в порядке

Issue History

Date Modified Username Field Change
2006-07-14 02:59 Zuz New Issue
2006-11-28 09:00 vskirdin Status new => assigned
2006-11-28 09:00 vskirdin Assigned To => vskirdin
2006-11-28 10:17 vskirdin Note Added: 0000336
2006-11-28 11:12 vskirdin Status assigned => resolved
2006-11-28 11:12 vskirdin Fixed in Version => 1.71
2006-11-28 11:12 vskirdin Resolution open => fixed
2006-11-28 11:12 vskirdin Note Added: 0000339
2006-11-29 03:16 Zuz Status resolved => feedback
2006-11-29 03:16 Zuz Resolution fixed => reopened
2006-11-29 03:16 Zuz Note Added: 0000341
2006-11-29 03:21 alexy Status feedback => resolved
2006-11-29 03:21 alexy Resolution reopened => fixed
2007-07-16 16:06 alexy Status resolved => closed